This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 800260 - [abrt] evolution-3.3.90-1.fc17: Process /usr/bin/evolution was killed by signal 6 (SIGABRT)
[abrt] evolution-3.3.90-1.fc17: Process /usr/bin/evolution was killed by sign...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: evolution-mapi (Show other bugs)
17
i686 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Matthew Barnes
Fedora Extras Quality Assurance
abrt_hash:37f8f2a18f2d086a16b6d5751d0...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-06 02:33 EST by Mikhail
Modified: 2013-07-31 23:40 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-31 23:39:58 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: gconf_subtree (30.82 KB, text/plain)
2012-03-06 02:33 EST, Mikhail
no flags Details
File: build_ids (10.77 KB, text/plain)
2012-03-06 02:33 EST, Mikhail
no flags Details
File: dso_list (25.94 KB, text/plain)
2012-03-06 02:34 EST, Mikhail
no flags Details
File: maps (77.77 KB, text/plain)
2012-03-06 02:34 EST, Mikhail
no flags Details
File: backtrace (31.06 KB, text/plain)
2012-03-06 02:34 EST, Mikhail
no flags Details

  None (edit)
Description Mikhail 2012-03-06 02:33:44 EST
libreport version: 2.0.8
abrt_version:   2.0.7
backtrace_rating: 4
cmdline:        evolution
executable:     /usr/bin/evolution
kernel:         3.3.0-0.rc4.git3.2.fc17.i686.PAE
pid:            17356
pwd:            /home/mikhail
reason:         Process /usr/bin/evolution was killed by signal 6 (SIGABRT)
time:           Вт. 06 марта 2012 10:45:27
uid:            1000
username:       mikhail
xsession_errors: Referrer URI: http://translate.google.com/#en|ru|Thanks%20for%20a%20bug%20report.%20This%20is%20because%20the%20From%20field%20doesn't%20contain%20real%0Aemail%20address%2C%20but%20only%20the%20user%20name%20(I%20suppose)%2C%20same%20as%20the%0A%3E%20Reply-to%3A%20%D0%9A%D1%80%D0%B5%D0%B4%D0%B8%D1%82%D0%BD%D0%B0%D1%8F%20%D1%81%D0%BB%D1%83%D0%B6%D0%B1%D0%B0%20%D0%90%D0%A4%20%D0%91%D0%B0%D0%BD%D0%BA%0AIf%20I%20change%20the%20From%20field%20to%20something%20like%0A%3E%20From%3A%20%3D%3Futf-8%3FB%3F0JrRgNC10LTQuNGC0L3QsNGPINGB0LvRg9C20LHQsCDQkNCkINCR0LDQvdC6%3F%3D%20%3Ca%40b.c%3E%0Athen%20the%20%3Ca%40b.c%3E%20works%20here%20as%20a%20real%20email%20(SMTP)%20address%20and%20evolution%20is%0Aable%20to%20decode%20it%20properly.%20%22From%22%20header%2C%20instead%20of%20%22Reply-To%22%20header%2C%20seems%0Ato%20rely%20on%20a%20proper%20email%20address.%0A%0AI%20suppose%20this%20message%20was%20created%20by%20evolution-mapi%2C%20am%20I%20right%3F%0A%0A%0AAre%20you%20able%0Ato%20reply%20to%20such%20message%2C%20and%20is%20the%20message%20properly%20received%3F%0A%0AIf%20I%20reply%20on%20this%20message%20from%20evolution%2C%20%22Field%20To%22%20filled%20with%20%22%3D%3Futf-8%3FB%3F0JrRgNC10LTQuNGC0L3QsNGPINGB0LvRg9C20LHQsCDQkNCkINCR0LDQvdC6%3F%3D%22%20instead%20must%20be%20%22%D0%9A%D1%80%D0%B5%D0%B4%D0%B8%D1%82%D0%BD%D0%B0%D1%8F%20%D1%81%D0%BB%D1%83%D0%B6%D0%B1%D0%B0%20%D0%90%D0%A4%20%D0%91%D0%B0%D0%BD%D0%BA%22.%20So%20worked%20Outlook%20and%20in%20%20evolution%203.2.3.%20In%20Evolution%203.3.90%20we%20see%20this%20regression.

backtrace:      Text file, 31806 bytes
build_ids:      Text file, 11029 bytes
dso_list:       Text file, 26561 bytes
gconf_subtree:  Text file, 31562 bytes
maps:           Text file, 79634 bytes

environ:
:XDG_VTNR=1
:XDG_SESSION_ID=2
:HOSTNAME=telecon17l.afbank.ru
:IMSETTINGS_INTEGRATE_DESKTOP=yes
:SHELL=/bin/bash
:TERM=dumb
:HISTSIZE=1000
:GNOME_KEYRING_CONTROL=/tmp/keyring-diHpLd
:IMSETTINGS_MODULE=none
:USER=mikhail
:USERNAME=mikhail
:MAIL=/var/spool/mail/mikhail
:PATH=/usr/local/bin:/usr/bin:/bin:/usr/local/sbin:/usr/sbin:/home/mikhail/.local/bin:/home/mikhail/bin
:DESKTOP_SESSION=gnome
:QT_IM_MODULE=xim
:PWD=/home/mikhail
:XMODIFIERS=@im=none
:GNOME_KEYRING_PID=910
:LANG=en_US.UTF-8
:GDMSESSION=gnome
:HISTCONTROL=ignoredups
:XDG_SEAT=seat0
:HOME=/home/mikhail
:SHLVL=1
:LOGNAME=mikhail
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-7i26T1mpBz,guid=a5eba6ec894ae453d34cf54d0000001f
:'LESSOPEN=||/usr/bin/lesspipe.sh %s'
:WINDOWPATH=1
:XDG_RUNTIME_DIR=/run/user/mikhail
:DISPLAY=:0
:XAUTHORITY=/var/run/gdm/auth-for-mikhail-xeonzk/database
:_=/usr/bin/gnome-session
:GNOME_DESKTOP_SESSION_ID=this-is-deprecated
:SESSION_MANAGER=local/unix:@/tmp/.ICE-unix/914,unix/unix:/tmp/.ICE-unix/914
:GPG_AGENT_INFO=/tmp/keyring-diHpLd/gpg:0:1
:SSH_AUTH_SOCK=/tmp/keyring-diHpLd/ssh
:LC_TIME=ru_RU.utf8
:LC_NUMERIC=ru_RU.utf8
:LC_MONETARY=ru_RU.utf8
:LC_MEASUREMENT=ru_RU.utf8
:GJS_DEBUG_OUTPUT=stderr
:'GJS_DEBUG_TOPICS=JS ERROR;JS LOG'
:GIO_LAUNCHED_DESKTOP_FILE=/usr/share/applications/evolution.desktop
:GIO_LAUNCHED_DESKTOP_FILE_PID=17356
:DESKTOP_STARTUP_ID=gnome-shell-16252-telecon17l.afbank.ru-evolution-1_TIME53343168

smolt_data:
:
:
:General
:=================================
:UUID: 24b82623-fdb0-487f-b726-0d6b01472500
:OS: Fedora release 17 (Beefy Miracle)
:Default run level: Unknown
:Language: en_US.UTF-8
:Platform: i686
:BogoMIPS: 4787.93
:CPU Vendor: GenuineIntel
:CPU Model: Intel(R) Core(TM)2 Duo CPU     E4600  @ 2.40GHz
:CPU Stepping: 13
:CPU Family: 6
:CPU Model Num: 15
:Number of CPUs: 2
:CPU Speed: 2400
:System Memory: 1980
:System Swap: 3999
:Vendor: Unknown
:System:  
:Form factor: Unknown
:Kernel: 3.3.0-0.rc4.git3.2.fc17.i686.PAE
:SELinux Enabled: 1
:SELinux Policy: targeted
:SELinux Enforce: Enforcing
:MythTV Remote: Unknown
:MythTV Role: Unknown
:MythTV Theme: Unknown
:MythTV Plugin: 
:MythTV Tuner: -1
:
:
:Devices
:=================================
:(32902:10672:32902:20298) pci, None, HOST/PCI, 82Q35 Express DRAM Controller
:(32902:10673:32902:20298) pci, pcieport, PCI/PCI, 82Q35 Express PCI Express Root Port
:(4523:24833:4523:24833) pci, pata_marvell, STORAGE, 88SE6101/6102 single-port PATA133 interface
:(32902:10544:32902:20298) pci, i801_smbus, SERIAL, 82801I (ICH9 Family) SMBus Controller
:(32902:10530:32902:20298) pci, ahci, STORAGE, 82801IR/IO/IH (ICH9R/DO/DH) 6 port SATA AHCI Controller
:(32902:10516:32902:20298) pci, None, PCI/ISA, 82801IO (ICH9DO) LPC Interface Controller
:(32902:4285:32902:1) pci, e1000e, ETHERNET, 82566DM-2 Gigabit Network Connection
:(32902:9294:32902:20298) pci, None, PCI/PCI, 82801 PCI Bridge
:(32902:10549:32902:20298) pci, uhci_hcd, USB, 82801I (ICH9 Family) USB UHCI Controller #2
:(32902:10548:32902:20298) pci, uhci_hcd, USB, 82801I (ICH9 Family) USB UHCI Controller #1
:(32902:10553:32902:20298) pci, uhci_hcd, USB, 82801I (ICH9 Family) USB UHCI Controller #6
:(32902:10550:32902:20298) pci, uhci_hcd, USB, 82801I (ICH9 Family) USB UHCI Controller #3
:(32902:10554:32902:20298) pci, ehci_hcd, USB, 82801I (ICH9 Family) USB2 EHCI Controller #1
:(32902:10556:32902:20298) pci, ehci_hcd, USB, 82801I (ICH9 Family) USB2 EHCI Controller #2
:(32902:10564:32902:10564) pci, pcieport, PCI/PCI, 82801I (ICH9 Family) PCI Express Port 3
:(32902:10566:32902:10566) pci, pcieport, PCI/PCI, 82801I (ICH9 Family) PCI Express Port 4
:(32902:10560:32902:10560) pci, pcieport, PCI/PCI, Optiplex 755
:(32902:10562:32902:10562) pci, pcieport, PCI/PCI, 82801I (ICH9 Family) PCI Express Port 2
:(32902:10676:32902:20298) pci, None, SIMPLE, 82Q35 Express MEI Controller
:(32902:10568:32902:10568) pci, pcieport, PCI/PCI, 82801I (ICH9 Family) PCI Express Port 5
:(32902:10558:32902:18) pci, snd_hda_intel, MULTIMEDIA, 82801I (ICH9 Family) HD Audio Controller
:(32902:10551:32902:20298) pci, uhci_hcd, USB, 82801I (ICH9 Family) USB UHCI Controller #4
:(32902:10552:32902:20298) pci, uhci_hcd, USB, 82801I (ICH9 Family) USB UHCI Controller #5
:(4098:43664:5963:43664) pci, snd_hda_intel, MULTIMEDIA, N/A
:(4098:26457:5963:57747) pci, radeon, VIDEO, NI Turks [AMD Radeon HD 6500]
:(4545:22545:4545:22545) pci, firewire_ohci, FIREWIRE, FW322/323
:
:
:Filesystem Information
:=================================
:device mtpt type bsize frsize blocks bfree bavail file ffree favail
:-------------------------------------------------------------------
:/dev/sda1 / ext4 4096 4096 5112811 3213040 3161847 1286144 1104528 1104528
:/dev/sda5 /home ext4 4096 4096 27766364 11589954 10199567 6955008 6875374 6875374
:

var_log_messages:
:Mar  5 10:35:17 telecon17l abrt[2027]: Saved core dump of pid 2010 (/usr/bin/evolution) to /var/spool/abrt/ccpp-2012-03-05-10:35:17-2010 (67436544 bytes)
:Mar  5 15:24:04 telecon17l abrt[8506]: Saved core dump of pid 1323 (/usr/libexec/evolution-addressbook-factory) to /var/spool/abrt/ccpp-2012-03-05-15:24:02-1323 (133378048 bytes)
:Mar  6 02:17:28 telecon17l abrt[3203]: Saved core dump of pid 2876 (/usr/bin/evolution) to /var/spool/abrt/ccpp-2012-03-06-02:17:16-2876 (349261824 bytes)
:Mar  6 02:18:10 telecon17l abrt[3243]: Saved core dump of pid 3227 (/usr/bin/evolution) to /var/spool/abrt/ccpp-2012-03-06-02:18:10-3227 (66555904 bytes)
:Mar  6 02:18:37 telecon17l abrt[3300]: Saved core dump of pid 3267 (/usr/bin/evolution) to /var/spool/abrt/ccpp-2012-03-06-02:18:36-3267 (123531264 bytes)
:Mar  5 23:54:30 telecon17l setroubleshoot: SELinux is preventing /usr/bin/evolution from mmap_zero access on the memprotect . For complete SELinux messages. run sealert -l c61401bf-4d1e-498d-bb2a-345ad45ecb35
:Mar  5 23:54:30 telecon17l setroubleshoot: SELinux is preventing /usr/bin/evolution from mmap_zero access on the memprotect . For complete SELinux messages. run sealert -l c61401bf-4d1e-498d-bb2a-345ad45ecb35
:Mar  5 23:54:30 telecon17l setroubleshoot: SELinux is preventing /usr/bin/evolution from mmap_zero access on the memprotect . For complete SELinux messages. run sealert -l c61401bf-4d1e-498d-bb2a-345ad45ecb35
:Mar  5 23:54:31 telecon17l setroubleshoot: SELinux is preventing /usr/bin/evolution from mmap_zero access on the memprotect . For complete SELinux messages. run sealert -l c61401bf-4d1e-498d-bb2a-345ad45ecb35
:Mar  5 23:54:31 telecon17l setroubleshoot: SELinux is preventing /usr/bin/evolution from mmap_zero access on the memprotect . For complete SELinux messages. run sealert -l c61401bf-4d1e-498d-bb2a-345ad45ecb35
:Mar  6 10:46:19 telecon17l abrt[18340]: Saved core dump of pid 17356 (/usr/bin/evolution) to /var/spool/abrt/ccpp-2012-03-06-10:45:27-17356 (861560832 bytes)
Comment 1 Mikhail 2012-03-06 02:33:54 EST
Created attachment 567852 [details]
File: gconf_subtree
Comment 2 Mikhail 2012-03-06 02:33:59 EST
Created attachment 567853 [details]
File: build_ids
Comment 3 Mikhail 2012-03-06 02:34:03 EST
Created attachment 567854 [details]
File: dso_list
Comment 4 Mikhail 2012-03-06 02:34:09 EST
Created attachment 567855 [details]
File: maps
Comment 5 Mikhail 2012-03-06 02:34:13 EST
Created attachment 567856 [details]
File: backtrace
Comment 6 Milan Crha 2012-03-06 03:58:01 EST
Thanks for a bug report. The attached backtrace is incomplete, unfortunately, it states there:
> Backtrace stopped: previous frame inner to this frame (corrupt stack?)
but what was kept above this message suggest some use-after-free in talloc code. I suppose this will be fixed with update on OpenChnage, which is planned for some time next week, then it'll land Fedora 17 with an update of evolution-mapi to 3.3.92. All that depends on the schedule of OpenChange update.

I'll keep this bug opened till it's done, for retesting.
Comment 7 abrt-bot 2012-03-21 11:13:53 EDT
Backtrace analysis found this bug to be similar to some already closed bugs from other components. You might want to check those bugs for additional information.

Bugs which were found to be similar to this bug: 
  evolution: bug #579822, bug #597587, bug #600458, bug #600899, bug #617206, bug #635630, bug #648426
  evolution-data-server: bug #630180, bug #682844, bug #687854

This comment is automatically generated.
Comment 8 Fedora End Of Life 2013-07-03 20:12:16 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 9 Fedora End Of Life 2013-07-31 23:40:01 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.